{{ ansible_managed | comment }}
## /etc/logrotate.d/dnscrypt
{{ dnscrypt_proxy_logslist | default([dnscrypt_proxy_blacklist_logpath]) | join("\n") }} {
    rotate {{ dnscrypt_logrotate_days | default(7) |int }}
    daily
    missingok
    notifempty
    delaycompress
    compress
    sharedscripts
    postrotate
       if invoke-rc.d dnscrypt-proxy status > /dev/null 2>&1; then \
          invoke-rc.d dnscrypt-proxy restart > /dev/null 2>&1; \
       fi;
    endscript
    create 644 {% if ansible_distribution == 'Ubuntu' %}syslog syslog{% else %}root root{% endif %}

    su root {% if ansible_distribution == 'Ubuntu' %}syslog{% else %}root{% endif %}

{% if dnscrypt_reporting %}
    prerotate
        test ! -x /usr/local/scripts/{{ dnscrypt_reporting_template | basename }} || sudo -u syslog /usr/local/scripts/{{ dnscrypt_reporting_template | basename }} 2>&1 >/dev/null
    endscript
{% endif %}
}
